kpat(6)

kpat - Ett mycket vanebildande kortspel

kpat [--solvegame fil] [--solve nummer] [--start nummer] [--end nummer] [--gametype spel] [--testdir katalog] [--generate] [fil]

Beskrivning

KPatience är en samling med flera välkända patienser, som går från de välkända Klondike och Kungen, till mindra välkända spel som Farfarsklockan och Mod3. Sammantaget finns det 12 varianter som du kan fördriva tiden med.

Väljare

Det här programmet följer den vanliga syntaxen för kommandoraden som används av GNU-program, med långa väljare som börjar med två streck (`--'). En sammanfattning av väljarna som stöds av kpat finns nedan.

-h --help
    Listar tillgängliga väljare på kommandoraden

-v --version
    Listar versionsinformation för KPatience

--solvegame fil
    Försök hitta en lösning på det givna sparade spelet

--solve num
    Givare att lösa (felsökning)

--start num
    Spelintervallstart (förval 0:INT_MAX)

--end num
    Spelintervallslut (förval start:start om start angiven)

--gametype spel
    Hoppa över urvalsfönstret och ladda en viss spelvariant. Giltiga värden är: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon.

--testdir katalog
    Katalog med testfall

--generate
    Skapa slumpmässiga testfall

--author
    Listar KPatience upphovsmän i terminalfönstret

--license
    Visar licensinformation

--desktopfile filnamn
    Basfilnamn på programmets skrivbordspost

fil
    Fil att ladda

Se också
    Mer detaljerad användardokumentation är tillgänglig med help:/kpat (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/kpat).
    kf5options(7)
    qt5options(7)

Upphovsmän

KPatience är gjort av:
    Paul Olav Tvete
    Mario Weilguni <mweilguni@kde.org>
    Matthias Ettrich <ettrich@kde.org>
    Rodolfo Borges <barrett@labma.ufrj.br>
    Peter H. Ruegg <kpat@incense.org>
    Michael Koch <koch@kde.org>
    Marcus Meissner <mm@caldera.de>
    Shlomi Fish <shlomif@vipe.technion.ac.il>
    Stephan Kulow <coolo@kde.org>